const inline void FormulaCode(CVector4 &z, const sFractal *fractal, sExtendedAux &aux) override
	{
        
    if fabsl(z.y) < 9223372036854775808.0:;
        # bb;
        v4_5 = sinl(z.y);
        v3_b = cosl(z.y);
    else:;
        v3_b = st6_global_2d_to_2d_local;
        v4_5 = z.y;
    # bb231;
    *z.x = v3_b * z.x;
    *z.y = v4_5 * z.x;
    return z.x;


	}